获取可用的订单交付选项
方法适用于模式拉斯.
目前不适用于卖家Market Yandex Go.
如果您使用API-Key令牌,调用该方法时需要具备列表中可用权限之一
返回订单交付的选项列表。 从响应中选择适当的交付选项,并在创建订单时发送。
指定 courierDelivery 速递派递或 pickupDelivery 送到收件点。 不要在同一时间传递这两个参数。
| ⚙️ 限额: 1 000 请求 每分钟 |
|---|
Request
POST
https://api.partner.market.yandex.ru/v1/campaigns/{campaignId}/delivery-options
Path parameters
|
Name |
Description |
|
campaignId |
Type: integer 广告系列(商店)的ID — 通过API工作时,代表您在Yandex市场系统中的商店的技术标识符。 它与您的商店唯一链接,但仅用于自动交互。 您可以使用查询找到它 GET v2/campaigns 或者在市场上的卖家办公室找到它。 点击您的帐户图标→ 设置 在左边的菜单中,选择 Api和模块:
⚠️ 不要把它与:
Min value: |
Body
application/json
{
"items": [
{
"offerId": "example",
"count": 1,
"warehouseId": 1
}
],
"pickupDelivery": {
"logisticPointsIds": [
1
]
},
"courierDelivery": {
"fullAddress": "example"
}
}
|
Name |
Description |
||
|
items |
Type: object[] 仓库中需要退回交付选项的项目。 在单个查询中,所有值都是 Min items: Max items: Example
|
||
|
courierDelivery |
Type: object
关于快递的信息。 不要与 Example
|
||
|
pickupDelivery |
Type: object
送到取件点的信息。 不要与 Example
|
Responses
200 OK
来自不同仓库的可用运输选项列表。
Body
application/json
{
"status": "OK",
"result": {
"warehousesDeliveryOptions": [
{
"warehouseId": 1,
"deliveryOptions": {},
"items": [
null
]
}
]
}
}
Type: object
All of 2 types
-
Type: object
status
Type: string
响应的类型。 可能的值:
OK— 没有错误。ERROR— 处理请求时出错。
Enum:
OK,ERROR服务器响应的标准包装器。
Example
{ "status": "OK" } -
Type: object
result
Type: object
warehousesDeliveryOptions
Type: object[]
deliveryOptions
Type: object
courierDelivery
Type: object
courierDeliveryOptions
Type: object[]
deliveryDateInterval
Type: object
fromDate
Type: string<date>
间隔的开始。
日期格式:
YYYY-MM-DD.Example:
2025-01-01toDate
Type: string<date>
间隔的结束。
日期格式:
YYYY-MM-DD.Example:
2025-01-01交货日期的范围。
Example
{ "fromDate": "2025-01-01", "toDate": "2025-01-01" }deliveryTimeInterval
Type: object
fromTime
Type: string
间隔的开始。
格式:
HH:MM.Pattern:
^([0-1][0-9]|2[0-3]):[0-5][0-9]$Example:
exampletoTime
Type: string
间隔的结束。
格式:
HH:MM.Pattern:
^([0-1][0-9]|2[0-3]):[0-5][0-9]$Example:
example的递送时间间隔。
Example
{ "fromTime": "example", "toTime": "example" }price
Type: object
All of 1 type
-
Type: object
currencyId
Type: string
货币代码:
RUR— 俄罗斯卢布。UAH— 乌克兰格里夫纳。BYR— 白俄罗斯卢布。KZT— 哈萨克斯坦坚戈。UZS— 乌兹别克总和。
Enum:
RUR,USD,EUR,UAH,AUD,GBP,BYR,BYN,DKK,ISK,KZT,CAD,CNY,NOK,XDR,SGD,TRY,SEK,CHF,JPY,AZN,ALL,DZD,AOA,ARS,AMD,AFN,BHD,BGN,BOB,BWP,BND,BRL,BIF,HUF,VEF,KPW,VND,GMD,GHS,GNF,HKD,GEL,AED,EGP,ZMK,ILS,INR,IDR,JOD,IQD,IRR,YER,QAR,KES,KGS,COP,CDF,CRC,KWD,CUP,LAK,LVL,SLL,LBP,LYD,SZL,LTL,MUR,MRO,MKD,MWK,MGA,MYR,MAD,MXN,MZN,MDL,MNT,NPR,NGN,NIO,NZD,OMR,PKR,PYG,PEN,PLN,KHR,SAR,RON,SCR,SYP,SKK,SOS,SDG,SRD,TJS,THB,TWD,BDT,TZS,TND,TMM,UGX,UZS,UYU,PHP,DJF,XAF,XOF,HRK,CZK,CLP,LKR,EEK,ETB,RSD,ZAR,KRW,NAD,TL,UEvalue
Type: number
意义。
货币及其价值。
Example
{ "value": 0.5, "currencyId": "RUR" }
商店使用所选选项交付必须支付的成本。
Example
{ "value": 0.5, "currencyId": "RUR" }关于快递的信息。
Min items:
1Example
[ { "deliveryDateInterval": { "fromDate": "2025-01-01", "toDate": "2025-01-01" }, "deliveryTimeInterval": { "fromTime": "example", "toTime": "example" }, "price": { "value": 0.5, "currencyId": "RUR" } } ]关于快递的信息。
Example
{ "courierDeliveryOptions": [ { "deliveryDateInterval": { "fromDate": "2025-01-01", "toDate": "2025-01-01" }, "deliveryTimeInterval": { "fromTime": "example", "toTime": "example" }, "price": { "value": 0.5, "currencyId": "RUR" } } ] }pickupDelivery
Type: object
pickupOptions
Type: object[]
logisticPointId
Type: integer
取件点的ID。
使用该方法可以找到 POST v1/businesses/{businessId}/logistics-points.
Min value:
1options
Type: object[]
deliveryDateInterval
Type: object
fromDate
Type: string<date>
间隔的开始。
日期格式:
YYYY-MM-DD.Example:
2025-01-01toDate
Type: string<date>
间隔的结束。
日期格式:
YYYY-MM-DD.Example:
2025-01-01交货日期的范围。
Example
{ "fromDate": "2025-01-01", "toDate": "2025-01-01" }price
Type: object
All of 1 type
-
Type: object
currencyId
Type: string
货币代码:
RUR— 俄罗斯卢布。UAH— 乌克兰格里夫纳。BYR— 白俄罗斯卢布。KZT— 哈萨克斯坦坚戈。UZS— 乌兹别克总和。
Enum:
RUR,USD,EUR,UAH,AUD,GBP,BYR,BYN,DKK,ISK,KZT,CAD,CNY,NOK,XDR,SGD,TRY,SEK,CHF,JPY,AZN,ALL,DZD,AOA,ARS,AMD,AFN,BHD,BGN,BOB,BWP,BND,BRL,BIF,HUF,VEF,KPW,VND,GMD,GHS,GNF,HKD,GEL,AED,EGP,ZMK,ILS,INR,IDR,JOD,IQD,IRR,YER,QAR,KES,KGS,COP,CDF,CRC,KWD,CUP,LAK,LVL,SLL,LBP,LYD,SZL,LTL,MUR,MRO,MKD,MWK,MGA,MYR,MAD,MXN,MZN,MDL,MNT,NPR,NGN,NIO,NZD,OMR,PKR,PYG,PEN,PLN,KHR,SAR,RON,SCR,SYP,SKK,SOS,SDG,SRD,TJS,THB,TWD,BDT,TZS,TND,TMM,UGX,UZS,UYU,PHP,DJF,XAF,XOF,HRK,CZK,CLP,LKR,EEK,ETB,RSD,ZAR,KRW,NAD,TL,UEvalue
Type: number
意义。
货币及其价值。
Example
{ "value": 0.5, "currencyId": "RUR" }
商店使用所选选项交付必须支付的成本。
Example
{ "value": 0.5, "currencyId": "RUR" }PVZ中的交付选项。
Min items:
1Example
[ { "deliveryDateInterval": { "fromDate": "2025-01-01", "toDate": "2025-01-01" }, "price": { "value": 0.5, "currencyId": "RUR" } } ]送到取件点的信息。
Example
[ { "logisticPointId": 1, "options": [ { "deliveryDateInterval": { "fromDate": "2025-01-01", "toDate": "2025-01-01" }, "price": {} } ] } ]送到取件点的信息。
Example
{ "pickupOptions": [ { "logisticPointId": 1, "options": [ { "deliveryDateInterval": {}, "price": {} } ] } ] }交付选项。
Example
{ "pickupDelivery": { "pickupOptions": [ { "logisticPointId": 1, "options": [ {} ] } ] }, "courierDelivery": { "courierDeliveryOptions": [ { "deliveryDateInterval": { "fromDate": "2025-01-01", "toDate": "2025-01-01" }, "deliveryTimeInterval": { "fromTime": "example", "toTime": "example" }, "price": {} } ] } }items
Type: object[]
count
Type: integer
积单元的数量。
Min value:
1Max value:
1000offerId
Type: string
你的 SKU — 系统中的产品ID。
使用规则 SKU:
-
对于每个产品 SKU 一定有一个。
-
已经设置 SKU 它不能被释放并重新用于另一个产品。 每个产品都应该收到一个以前从未在目录中使用过的新标识符。
SKU 产品可以在市场上的卖方帐户中更改。 阅读有关如何做到这一点。 在市场对卖家的帮助.
重要
值开头和结尾的空格会自动删除。 例如,
" SKU123 "和"SKU123"它们将被视为相同的值。Min length:
1Max length:
255Pattern:
^(?=.*\S.*)[^\x00-\x08\x0A-\x1f\x7f]{1,255}$Example:
example订单中的产品。
Min items:
1Example
[ { "offerId": "example", "count": 1 } ]warehouseId
Type: integer
市场的履行仓库的ID。
Min value:
1不同仓库的交付选项。
Min items:
1Example
[ { "warehouseId": 1, "deliveryOptions": { "pickupDelivery": { "pickupOptions": [ {} ] }, "courierDelivery": { "courierDeliveryOptions": [ {} ] } }, "items": [ { "offerId": "example", "count": 1 } ] } ]不同仓库的可用选项列表。
Example
{ "warehousesDeliveryOptions": [ { "warehouseId": 1, "deliveryOptions": { "pickupDelivery": { "pickupOptions": [ null ] }, "courierDelivery": { "courierDeliveryOptions": [ null ] } }, "items": [ { "offerId": "example", "count": 1 } ] } ] }Example
{ "result": { "warehousesDeliveryOptions": [ { "warehouseId": 1, "deliveryOptions": { "pickupDelivery": {}, "courierDelivery": {} }, "items": [ {} ] } ] } } -
400 Bad Request
请求包含不正确的数据。 详细了解处理订单时的错误
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
响应的类型。 可能的值:
OK— 没有错误。ERROR— 处理请求时出错。
Enum:
OK,ERROR服务器响应的标准包装器。
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
的错误代码。
Example:
examplemessage
Type: string
错误的描述。
Example:
example错误列表。
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
服务器错误的标准包装器。
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
401 Unauthorized
请求中未指定授权数据。 有关错误的更多信息
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
响应的类型。 可能的值:
OK— 没有错误。ERROR— 处理请求时出错。
Enum:
OK,ERROR服务器响应的标准包装器。
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
的错误代码。
Example:
examplemessage
Type: string
错误的描述。
Example:
example错误列表。
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
服务器错误的标准包装器。
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
403 Forbidden
授权数据不正确或禁止访问资源。 有关错误的更多信息
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
响应的类型。 可能的值:
OK— 没有错误。ERROR— 处理请求时出错。
Enum:
OK,ERROR服务器响应的标准包装器。
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
的错误代码。
Example:
examplemessage
Type: string
错误的描述。
Example:
example错误列表。
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
服务器错误的标准包装器。
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
420 Method Failure
已超出资源访问限制。 有关错误的更多信息
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
响应的类型。 可能的值:
OK— 没有错误。ERROR— 处理请求时出错。
Enum:
OK,ERROR服务器响应的标准包装器。
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
的错误代码。
Example:
examplemessage
Type: string
错误的描述。
Example:
example错误列表。
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
服务器错误的标准包装器。
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
500 Internal Server Error
Yandex的内部错误。 市场。 有关错误的更多信息
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
响应的类型。 可能的值:
OK— 没有错误。ERROR— 处理请求时出错。
Enum:
OK,ERROR服务器响应的标准包装器。
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
的错误代码。
Example:
examplemessage
Type: string
错误的描述。
Example:
example错误列表。
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
服务器错误的标准包装器。
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
No longer supported, please use an alternative and newer version.